- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QPictureIO Class Reference

Search for all occurrences

## Detailed Description

Definition at line 131 of file qpicture.h.

`#include <qpicture.h>`

List of all members.

## Public Member Functions
| QPictureIO ()
| QPictureIO (QIODevice *ioDevice, const char *format)
| QPictureIO (const QString &fileName, const char *format)
| ~QPictureIO ()
const QPicture & | picture () const
int | status () const
const char * | format () const
QIODevice * | ioDevice () const
QString | fileName () const
int | quality () const
QString | description () const
const char * | parameters () const
float | gamma () const
void | setPicture (const QPicture &)
void | setStatus (int)
void | setFormat (const char *)
void | setIODevice (QIODevice *)
void | setFileName (const QString &)
void | setQuality (int)
void | setDescription (const QString &)
void | setParameters (const char *)
void | setGamma (float)
bool | read ()
bool | write ()
## Static Public Member Functions
static QByteArray | pictureFormat (const QString &fileName)
static QByteArray | pictureFormat (QIODevice *)
static QList< QByteArray > | inputFormats ()
static QList< QByteArray > | outputFormats ()
static void | defineIOHandler (const char *format, const char *header, const char *flags, picture_io_handler read_picture, picture_io_handler write_picture)

## Constructor & Destructor Documentation

QPictureIO | ( |  | ) |

QPictureIO | ( | QIODevice * | ioDevice,
|  | const char * | format
| ) |  |

QPictureIO | ( | const QString & | fileName,
|  | const char * | format
| ) |  |

~QPictureIO | ( |  | ) |

## Member Function Documentation

const QPicture& picture | ( |  | ) | const

Search for all occurrences

int status | ( |  | ) | const

Search for all occurrences

const char* format | ( |  | ) | const

Search for all occurrences

QIODevice* ioDevice | ( |  | ) | const

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

int quality | ( |  | ) | const

Search for all occurrences

QString description | ( |  | ) | const

Search for all occurrences

const char* parameters | ( |  | ) | const

Search for all occurrences

float gamma | ( |  | ) | const

Search for all occurrences

void setPicture | ( | const QPicture & |  | ) |

Search for all occurrences

void setStatus | ( | int |  | ) |

Search for all occurrences

void setFormat | ( | const char * |  | ) |

Search for all occurrences

void setIODevice | ( | QIODevice * |  | ) |

Search for all occurrences

void setFileName | ( | const QString & |  | ) |

Search for all occurrences

void setQuality | ( | int |  | ) |

Search for all occurrences

void setDescription | ( | const QString & |  | ) |

Search for all occurrences

void setParameters | ( | const char * |  | ) |

Search for all occurrences

void setGamma | ( | float |  | ) |

Search for all occurrences

bool read | ( |  | ) |

Search for all occurrences

bool write | ( |  | ) |

Search for all occurrences

static QByteArray pictureFormat | ( | const QString & | fileName | ) | `[static]`

Search for all occurrences

static QByteArray pictureFormat | ( | QIODevice * |  | ) | `[static]`

Search for all occurrences

static QList<QByteArray> inputFormats | ( |  | ) | `[static]`

Search for all occurrences

static QList<QByteArray> outputFormats | ( |  | ) | `[static]`

Search for all occurrences

static void defineIOHandler | ( | const char * | format,
|  | const char * | header,
|  | const char * | flags,
|  | picture_io_handler | read_picture,
|  | picture_io_handler | write_picture
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qpicture.h

QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO
QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO QPictureIO